#include <bits/stdc++.h>
#define ll long long
#define pll pair<ll,ll>
using namespace std;
ll t,n,a[100007];
bool nt[100007];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    freopen("CAU3.INP","r",stdin);
    freopen("CAU3.OUT","w",stdout);
    memset(nt,true,sizeof(nt));
    nt[0]=nt[1]=false;
    for(int i=2;i*i<=100003;i++){
        if(nt[i])
        for(int j=i*i;j<=100003;j+=i){
            nt[j]=false;
        }
    }
    for(int i=100003;i>=0;i--){
        a[i]=a[i+1];
        if(nt[i]) a[i]=i;
    }
    cin>>t;
    while(t--){
        cin>>n;
        cout<<a[n]<<'\n';
    }
    return 0;
}
